Create Property
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"name": "<string>",
"translations": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"propertyGroups": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/properties"
payload = {
"name": "<string>",
"translations": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"propertyGroups": ["b45f6432-2462-4c6f-b00f-1d9d01000000"]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
translations: [{languageIso: '<string>', name: '<string>'}],
propertyGroups: ['b45f6432-2462-4c6f-b00f-1d9d01000000']
})
};
fetch('https://api.jtl-cloud.com/erp/v2/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"translations": [
{
"languageIso": "<string>",
"name": "<string>"
}
],
"propertyGroups": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Property
Create Property
Creates a new property.
POST
/
v2
/
properties
Create Property
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
The property to create.
Response
The created property.
Model Class: Property
Unique ID to identify a property.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Name of the property in the standard language.
Different terms for the property in the non-default languages.
Show child attributes
Show child attributes
IDs of property groups.
Was this page helpful?
⌘I